--- a/src/factory/factory.cpp
+++ b/src/factory/factory.cpp
@@ -56,6 +56,7 @@
 	mPackageSoundDir = PACKAGE_SOUND_DIR;
 	mPackageRingDir = PACKAGE_RING_DIR;
 	mPackageDataDir = PACKAGE_DATA_DIR;
+	mImageResourcesDir = PACKAGE_DATA_DIR "/images";
 
 	/* register the bctbx sqlite vfs. It is not used by default */
 	/* sqlite3_bctbx_vfs use the default bctbx_vfs, so if encryption is turned on by default, it will apply to sqlte3 db */
